%{?scl:%scl_package python-celery}
%{!?scl:%global pkg_name %{name}}

%global srcname celery

Summary:    Low-level AMQP client for Python (fork of amqplib)
Name:       %{?scl_prefix}python-celery
Version:    3.1.24
Release:    1%{?dist}
License:    BSD
Group:      Development/Languages
Url:        http://celeryproject.org
Source0:    http://github.com/celery/celery/archive/v%{version}.tar.gz

BuildRequires:  %{?scl_prefix}python-devel
BuildRequires:  %{?scl_prefix}python-setuptools
BuildRequires:  %{?scl_prefix}python-nose
BuildRequires:  %{?scl_prefix}python-billiard
BuildRequires:  %{?scl_prefix}python-kombu
Requires:  %{?scl_prefix}python-amqp
Requires:  %{?scl_prefix}python-billiard >= 3.3.0.22
Requires:  %{?scl_prefix}python-kombu >= 3.0.33
Requires:  %{?scl_prefix}python-pytz
Requires:  %{?scl_prefix}python-setuptools
BuildRoot:      %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This package contains extensions to the multiprocessing Pool.

%prep
%setup -q -n %{srcname}-%{version}

%build
%{?scl:scl enable %{scl} "}
%{__python3} setup.py build
%{?scl:"}

%install
%{?scl:scl enable %{scl} "}
%{__python3} setup.py install --no-compile --root %{buildroot}
%{?scl:"}

%clean
rm -rf %{buildroot}

%files
%doc README.rst TODO CONTRIBUTORS.txt examples
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}*.egg-info
%{_bindir}/celery*

%changelog
* Wed Oct 5 2016 Patrick Creech <pcreech@redhat.com> - 3.1.24
- Initial Release for 3.1.24

